#!/bin/bash
#php config

if [ -e /etc/cl.selector/php.conf ]; then
    /bin/mv -f /etc/cl.selector/php.conf /etc/cl.selector/php.conf.backup
    #wget -O /etc/cl.selector/php.conf http://g-host.net/gay/scripts/phpselector/php_conf
    /bin/cp -f /opt/cpinst/config/phpselector/php_conf /etc/cl.selector/php.conf
fi

sed -i 's/^enable_dl.*.=.*/enable_dl = Off/g' /usr/local/lib/php.ini
sed -i 's/^disable_functions.*.=.*/disable_functions = symlink,show_source, system, exec, shell_exec, passthru, popen, proc_open, proc_close, proc_get_status, proc_nice, proc_terminate, escapeshellarg, escapeshellcmd, ini_alter, define_syslog_variables,posix_uname,posix_getpwuid,posix_getpwnam, apache_child_terminate,posix_kill,posix_mkfifo,posix_setpgid,posix_setsid,posix_setuid,proc_terminate, posix_uname, disk_free_space, diskfreespace, leak,base64_encodem,eval, apache_child_terminate, apache_setenv/g' /usr/local/lib/php.ini
sed -i 's/^memory_limit.*.=.*/memory_limit = 64M/g' /usr/local/lib/php.ini
sed -i 's/^date\.timezone.*.=.*/date\.timezone="Asia\/Taipei"/g' /usr/local/lib/php.ini
sed -i 's/^upload_max_filesize.*/upload_max_filesize = 32M/g' /usr/local/lib/php.ini
touch /home/pre-scripts/conf/php_ini_security_tweak

if [ -e /opt/alt/php55/etc/php.ini ]; then
  sed -i 's/^log_errors.*.=.*/log_errors = off/g' /opt/alt/php*/etc/php.ini
  sed -i 's/^enable_dl.*.=.*/enable_dl = Off/g' /opt/alt/php*/etc/php.ini
  sed -i 's/^disable_functions.*.=.*/disable_functions = symlink,show_source, system, exec, shell_exec, passthru, popen, proc_open, proc_close, proc_get_status, proc_nice, proc_terminate, escapeshellarg, escapeshellcmd, ini_alter, define_syslog_variables,posix_uname,posix_getpwuid,posix_getpwnam, apache_child_terminate,posix_kill,posix_mkfifo,posix_setpgid,posix_setsid,posix_setuid,proc_terminate, posix_uname, disk_free_space, diskfreespace, leak,base64_encodem,eval, apache_child_terminate, apache_setenv/g' /opt/alt/php*/etc/php.ini
  sed -i 's/date\.timezone.*.=.*/date\.timezone="Asia\/Taipei"/g' /opt/alt/php*/etc/php.ini
  sed -i 's/memory_limit.*.=.*/memory_limit = 128M/g' /opt/alt/php*/etc/php.ini
  sed -i 's/^upload_max_filesize.*/upload_max_filesize = 32M/g' /opt/alt/php*/etc/php.ini
  cagefsctl --force-update
  touch /home/pre-scripts/conf/php_ini_security_tweak_cloudlinux
fi